IP_ADD_SOURCE_MEMBERSHIP(2const)

NAME
IP_ADD_SOURCE_MEMBERSHIP - join a multicast group and allow receiving data only from a specified source

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_ADD_SOURCE_MEMBERSHIP,
               const struct ip_mreq_source *val,
               sizeof(struct ip_mreq_source));

DESCRIPTION
Join a multicast group and allow receiving data only from a specified source.

This option can be used multiple times to allow receiving data from more than one source.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.4.22, Linux 2.5.68.

SEE ALSO
IPPROTO_IP(2const), IP_ADD_MEMBERSHIP(2const), ip_mreq_source(2type), setsockopt(2), ip(7)